Delete project template reference files (batch)
curl --request DELETE \
--url https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"referenceFiles": [
{
"uid": "3HYnHHLkTPJfMxBCDbPXFe"
}
]
}
'import requests
url = "https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references"
payload = { "referenceFiles": [{ "uid": "3HYnHHLkTPJfMxBCDbPXFe" }] }
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({referenceFiles: [{uid: '3HYnHHLkTPJfMxBCDbPXFe'}]})
};
fetch('https://cloud.memsource.com/web/api2/v1/projectTemplates/{projectTemplateUid}/references', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reference File
Delete project template reference files (batch)
Required role: Administrator or Project Manager. All reference files must belong to the same organization as the current user. The underlying file in storage is deleted if no other reference points to it.
DELETE
/
api2
/
v1
/
projectTemplates
/
{projectTemplateUid}
/
references
Delete project template reference files (batch)
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Path Parameters
Body
application/json
List of reference file UIDs to act on. Must not be empty.
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I